Bug 38163 - Gnome Shell Display Bug
Gnome Shell Display Bug
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r600
unspecified
x86-64 (AMD64) Linux (All)
: medium normal
Assigned To: Default DRI bug account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-10 09:39 UTC by Akash Yadav
Modified: 2011-08-03 07:25 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Notice the transparent bar over the icons (902.68 KB, image/png)
2011-06-11 01:00 UTC, Akash Yadav
Details
Not visible when the menu is at top (83.66 KB, image/jpeg)
2011-06-11 01:01 UTC, Akash Yadav
Details
Visible at end of the menu (81.88 KB, image/jpeg)
2011-06-11 01:02 UTC, Akash Yadav
Details
[PATCH] r600g: take into account force_add_cf in pops (2.16 KB, patch)
2011-08-01 13:59 UTC, Vadim Girlin
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Akash Yadav 2011-06-10 09:39:01 UTC
Notice Transparent Bar on the Icons in the highlighted area.

I have being using Gnome Shell in Fedora 15 x64 fully updated. I can see a
transparent bar in Gnome Shell Applications menu. When I click Activities and
then Go to Applications.
The line stays stationary & appears top of all icons & text.
It does not appear on Windows Expose

Here is my output of:

$ glxinfo | grep OpenGL

OpenGL vendor string: X.Org
OpenGL renderer string: Gallium 0.4 on AMD RS880
OpenGL version string: 2.1 Mesa 7.11-devel
OpenGL shading language version string: 1.20
OpenGL extensions:

I reported this bug on Gnome BugZilla Bug 652169

https://bugzilla.gnome.org/show_bug.cgi?id=652169

They have told me that it is a drivers bug & instructed me to file it here.
Comment 1 Akash Yadav 2011-06-11 01:00:42 UTC
Created attachment 47842 [details]
Notice the transparent bar over the icons
Comment 2 Akash Yadav 2011-06-11 01:01:22 UTC
Created attachment 47843 [details]
Not visible when the menu is at top
Comment 3 Akash Yadav 2011-06-11 01:02:30 UTC
Created attachment 47844 [details]
Visible at end of the menu
Comment 4 Rui Tiago Matos 2011-06-27 14:02:38 UTC
According to https://bugzilla.gnome.org/show_bug.cgi?id=653523, seems to be happening on Gallium 0.4 on AMD RV635 too.
Comment 5 Harri Nieminen 2011-08-01 07:08:38 UTC
It happens with my radeon 5450 in Fedora 15 x64.

glxinfo | grep OpenGL
OpenGL vendor string: X.Org
OpenGL renderer string: Gallium 0.4 on AMD CEDAR
OpenGL version string: 2.1 Mesa 7.11-rc4
OpenGL shading language version string: 1.20
OpenGL extensions:
Comment 6 Vadim Girlin 2011-08-01 13:59:06 UTC
Created attachment 49797 [details] [review]
[PATCH] r600g: take into account force_add_cf in pops

Does this patch help?
Comment 7 Harri Nieminen 2011-08-03 04:19:28 UTC
(In reply to comment #6)
> Created an attachment (id=49797) [details]
> [PATCH] r600g: take into account force_add_cf in pops
> 
> Does this patch help?

That patch fixed problem for me.
Comment 8 Alex Deucher 2011-08-03 07:25:08 UTC
Pushed:
2bde0cc95d8db10b6d2c6689ca39c196a81248b0

Thanks!